TechDraw 3PtAngleDimension: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
m ([[ | ]])
Line 2: Line 2:
<translate>
<translate>
<!--T:22-->
<!--T:22-->
{{Docnav
{{Docnav|[[TechDraw_Dimension_Angle|New Angle]]|[[TechDraw_Dimension_Link|New Links]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw_Dimension_Angle.png|IconC=Workbench_TechDraw.svg|IconR=Techdraw_Dimension_Link.png}}
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Dimension_Link|New Links]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Angle.png
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Link.png
}}


<!--T:1-->
<!--T:1-->
Line 9: Line 16:
|MenuLocation=TechDraw → Dimension Angle3Pt
|MenuLocation=TechDraw → Dimension Angle3Pt
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw Dimension Angle]]
|SeeAlso=[[TechDraw Dimension Angle|TechDraw Dimension Angle]]
|Version=0.18
|Version=0.18
}}
}}
Line 34: Line 41:


<!--T:16-->
<!--T:16-->
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length]] tool for more information.
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->


<!--T:17-->
<!--T:17-->
This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.
This object has the same properties as the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool. See that tool for details.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->


<!--T:18-->
<!--T:18-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<!--T:19-->
<!--T:19-->
The Dimension Angle3Pt tool can be used in [[macros]] and from the [[Python]] console by using the following functions:
The Dimension Angle3Pt tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following functions:


</translate>
</translate>
Line 60: Line 67:


<!--T:23-->
<!--T:23-->
{{Docnav
{{Docnav|[[TechDraw_Dimension_Angle|New Angle]]|[[TechDraw_Dimension_Link|New Links]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw_Dimension_Angle.png|IconC=Workbench_TechDraw.svg|IconR=Techdraw_Dimension_Link.png}}
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Dimension_Link|New Links]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Angle.png
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Link.png
}}


<!--T:20-->
<!--T:20-->

Revision as of 21:00, 15 October 2019

TechDraw Dimension Angle3Pt

Menu location
TechDraw → Dimension Angle3Pt
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.18
See also
TechDraw Dimension Angle

Description

The Dimension Angle3Pt tool adds a angular dimension to a View. The dimension may be specified by selecting three Vertices on a View. Note that the second of the three Vertices is the apex of the angle. The Angle3Pt will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

Measuring the angle between two straight lines using three vertices; the second vertex should be the apex of the angle

How to use

  1. Select the points or edge which define your measurement.
  2. Press the File:TechDraw Dimension Angle3Pt.png Dimension Angle3Pt button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Angle3Pt tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)